package com.zipcodewilmington.bankaccountlab;

import java.util.HashMap;
import java.util.Set;

public class ATM {

    private HashMap<Integer, BankAccount> accounts;

    public ATM() {
        accounts = new HashMap<Integer, BankAccount>();
    }

    public void addAccount(BankAccount bankAccount) {
        accounts.put(bankAccount.getAccountNumber(), bankAccount);
    }

    public BankAccount accessAccount(Integer accountNumber) {
        BankAccount bankAccount ;
        Set<Integer> accountNumbers = accounts.keySet();
        for (Integer accountKey : accountNumbers) {
            if (accountKey.equals(accountNumber)) {
                return accounts.get(accountKey);
            }
        }
        return null;
    }


}
