package com.zipcodewilmington.bankaccountlab;

public class BusinessAccount extends BankAccount {

    private String businessName;

    public BusinessAccount(String accountHolder, String businessName, int accountNumber, short PIN) {
        super(accountHolder, accountNumber, PIN);
        this.businessName = businessName;
    }

    @Override
    public String getAccountSummary() {
        return "Business Account: " + businessName + " | Balance: " + getAccountBalance();
    }

    public String getBusinessName() {
        return businessName;
    }

    public void setBusinessName(String businessName) {
        this.businessName =  businessName;
    }
}
